LifecycleManager (Mule ESB 2.2.1 API)
Keywords: org.mule.api.lifecycle.LifecycleManager interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.lifecycle
Interface LifecycleManager

All Known Implementing Classes:
  GenericLifecycleManager

    public interface LifecycleManager

The LifecycleManager is responsible for managing the different lifecycle phases of the server and managing the transitions between lifecycle phases.

Method Summary
`void` | `applyCompletedPhases(Object object)` Successively applies all completed lifecycle phase to an object.
`LifecyclePhase` | `applyPhase(Collection objects, String phase)` Applies lifecycle phase to a collection of objects.
`void` | `checkPhase(String name)`
`void` | `firePhase(MuleContext muleContext, String phase)` Applies lifecycle phase to all objects in the Registry.
`String` | `getCurrentPhase()`
`String` | `getExecutingPhase()`
`Set` | `getLifecycles()`
`boolean` | `isPhaseComplete(String phaseName)`
`void` | `registerLifecycle(LifecyclePhase lci)`
`void` | `reset()`
`void` | `setLifecycles(Set lifecycles)`

Method Detail

### getLifecycles

    Set getLifecycles()

### setLifecycles

    void setLifecycles(Set lifecycles)

### registerLifecycle

    void registerLifecycle(LifecyclePhase lci)

### firePhase

    void firePhase(MuleContext muleContext,
                   String phase)
                   throws MuleException

  Applies lifecycle phase to all objects in the Registry.

  Throws:
    `MuleException`

### applyPhase

    LifecyclePhase applyPhase(Collection objects,
                              String phase)
                              throws MuleException

  Applies lifecycle phase to a collection of objects.

  Throws:
    `MuleException`

### getCurrentPhase

    String getCurrentPhase()

### getExecutingPhase

    String getExecutingPhase()

### reset

    void reset()

### isPhaseComplete

    boolean isPhaseComplete(String phaseName)

### applyCompletedPhases

    void applyCompletedPhases(Object object)
                              throws MuleException

  Successively applies all completed lifecycle phase to an object.

  Throws:
    `MuleException`

### checkPhase

    void checkPhase(String name)
                    throws IllegalStateException

  Throws:
    `IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.